/api/v1/selphid/custom-event/security
Sends a custom external security event to the Api Tracking platform.
post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
Data to register an external security event in the Api Tracking platform.
jsonDatastringObrigatórioExample:
String containing a key/value dictionary with security information.
{ "Security Key1": "Security value 1", "Security Key2": "Security value 2", "Security Key3": "Security value 3", "Security Key4": "Security value 4" }succeedbooleanObrigatórioExample:
Indicates whether the operation was successful or not.
trueeventSourcestringObrigatórioExample:
The source of an event in the Api Tracking service.
event.source.externalToolextraDatastringObrigatórioExample:
Tokenized data used to call the Api Tracking service after the operation, base64-encoded.
BQABAQGkJhiCqQjKYUZyDM...Respostas
200
Result of the event tracking.
application/json
The result of an Api Tracking operation.
trackingStatusnumberOpcionalExample:
Status returned by the Api Tracking service, or -1 if tracking is not required.
201trackingMessagestringOpcionalExample:
Message returned by the Api Tracking service, or empty if tracking is not required.
EvaluatePassiveLivenesWithImageBuffer: Ok400
Incorrect parameters in the request.
application/json
500
An error occurred in the call to the SelphID-SDK backend.
application/json
post/api/v1/selphid/custom-event/security
POST /api/v1/selphid/custom-event/security HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 278
{
"jsonData": "{ \"Security Key1\": \"Security value 1\", \"Security Key2\": \"Security value 2\", \"Security Key3\": \"Security value 3\", \"Security Key4\": \"Security value 4\" }",
"succeed": true,
"eventSource": "event.source.externalTool",
"extraData": "BQABAQGkJhiCqQjKYUZyDM..."
}{
"trackingStatus": 201,
"trackingMessage": "EvaluatePassiveLivenesWithImageBuffer: Ok"
}Atualizado